package com.xhkjedu.smarking.controller.exam;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.exam.MsClassStudent;
import com.xhkjedu.smarking.service.exam.MsClassStudentService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷考试学生表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msClassStudent")
public class MsClassStudentController {
    @Resource
    private MsClassStudentService msClassStudentService;

    /**
     * @return com.xhkjedu.vo.ResultVo
     * @Description 新增
     * @Param [msClassStudent]
     * @Author auto
     * @Date 2024-10-15
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsClassStudent msClassStudent) {
        msClassStudentService.add(msClassStudent);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @return com.xhkjedu.vo.ResultVo
     * @Description 列表
     * @Param [msClassStudent]
     * @Author auto
     * @Date 2024-10-15
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsClassStudent msClassStudent) {
        Integer examid = msClassStudent.getExamid();
        Integer schoolid = msClassStudent.getSchoolid();
        Integer page = msClassStudent.getPage();
        Integer size = msClassStudent.getPageSize();
        N_Utils.validation(new Object[]{examid, "考试id", 1, schoolid, "学校id", 1});
        if (N_Utils.isEmptyInteger(page)) {
            List<Map> list = msClassStudentService.queryList(msClassStudent);
            return new ResultVo(0, "查询成功！", list);
        } else {
            PageHelper.startPage(page, size);
            List<Map> list = msClassStudentService.queryList(msClassStudent);
            PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
            return new ResultVo(0, "查询成功！", pageResult);
        }
    }
}
