package com.xhkjedu.smarking.controller.scan;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.scan.MsScanbatch;
import com.xhkjedu.smarking.service.scan.MsScanbatchService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷答题卡扫描批次表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msScanbatch")
public class MsScanbatchController {
    @Resource
    private MsScanbatchService msScanbatchService;

    /**
     * @Description 新增
     * @Param [msScanbatch]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsScanbatch msScanbatch) {
        msScanbatchService.add(msScanbatch);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msScanbatch]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsScanbatch msScanbatch) {
        Integer page = msScanbatch.getPage();
        Integer size = msScanbatch.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsScanbatch> list = msScanbatchService.queryList(msScanbatch);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
