package com.xhkjedu.smarking.controller.scan;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlockQuestion;
import com.xhkjedu.smarking.service.scan.MsScanbatchPaperBlockQuestionService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷扫描试卷题块试题识别表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msScanbatchPaperBlockQuestion")
public class MsScanbatchPaperBlockQuestionController {
    @Resource
    private MsScanbatchPaperBlockQuestionService msScanbatchPaperBlockQuestionService;

    /**
     * @Description 新增
     * @Param [msScanbatchPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsScanbatchPaperBlockQuestion msScanbatchPaperBlockQuestion) {
        msScanbatchPaperBlockQuestionService.add(msScanbatchPaperBlockQuestion);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msScanbatchPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsScanbatchPaperBlockQuestion msScanbatchPaperBlockQuestion) {
        Integer page = msScanbatchPaperBlockQuestion.getPage();
        Integer size = msScanbatchPaperBlockQuestion.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsScanbatchPaperBlockQuestion> list = msScanbatchPaperBlockQuestionService.queryList(msScanbatchPaperBlockQuestion);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
