package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description 阅卷模板题块定位区表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_template_block")
public class MsTemplateBlock extends BaseBean {
    @Id
    //阅卷模板题块定位区ID
    private Integer mtbid;
    //模板ID
    private Integer mtid;
    //题块ID
    private Integer mblockid;
    //题块名称
    private String blockname;
    //类型1客观题2主观题
    private Integer mttype;
    //定位区坐标
    private String localcoor;
    //所属页数
    private Integer pagenum;
    //主观题扩展区坐标列表
    private String extendcoor;
    //主观题打分区坐标
    private String scorecoor;
    //创建人ID
    private Integer createid;
    //创建时间
    private Integer createtime;

    @Transient
    private List<MsTemplateBlockQuestion> tbquestions;
    //排序/首题号
    @Transient
    private Integer blockorder;
}
