package com.xhkjedu.smarking.service.exam;

import com.xhkjedu.smarking.mapper.exam.MsClassStudentMapper;
import com.xhkjedu.smarking.mapper.exam.MsSubjectMapper;
import com.xhkjedu.smarking.model.exam.MsClassStudent;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * @Description 阅卷考试学生表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsClassStudentService {
    @Resource
    private MsClassStudentMapper msClassStudentMapper;
    @Resource
    private MsSubjectMapper msSubjectMapper;

    /**
     * @return void
     * @Description 新增
     * @Param [msClassStudent]
     * @Author auto
     * @Date 2024-10-15
     **/
    public void add(MsClassStudent msClassStudent) {
        msClassStudentMapper.insert(msClassStudent);
    }

    /**
     * @return java.util.List<com.xhkjedu.smarking.model.exam.MsClassStudent>
     * @Description 列表
     * @Param [msClassStudent]
     * @Author auto
     * @Date 2024-10-15
     **/
    public List<Map> queryList(MsClassStudent msClassStudent) {
        List<Map<String, String>> subjects = msSubjectMapper.listSubjectNameByExamId(msClassStudent.getExamid());
        Map<String, String> subjectMap = new HashMap<>();
        for (Map<String, String> subject : subjects) {
            subjectMap.put(subject.get("subjectid"), subject.get("subjectname"));
        }
        List<Map> list = msClassStudentMapper.listAll(msClassStudent);
        for (Map map : list) {
            map.put("subjectname", subjectMap.get(map.get("subjectid")));
        }
        return list;
    }
}
